Subject: bug#46670: 28.0.50; [feature/native-comp] possible miscompilation affecting lsp-mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 27 Feb 2021 09:49:20 +0200

> From: Pip Cet <[email-masked]>
> Date: Sat, 27 Feb 2021 05:06:43 +0000
> Cc: Andrea Corallo <[email-masked]>, [email-masked], [email-masked]
> 
> > AFAICT, the principles proposed by Andrea are just common sense, and
> > definitely not a drastic change from our existing practices.
> 
> Let me try to explain a situation in which I don't think they work
> very well, and which may or may not be similar to the situation we're
> actually in:
> 
> 1. We're emitting strange "assume" insns.
> 2. These are pseudo-insns which are not rendered into functional code.
> 3. We do not have a facility for converting these "assume" insns into
> functional code which asserts they hold at runtime.
> 4. We have test cases which ensure the "assume" insns are actually
> generated as they currently are.
> 
> How, assuming for the moment that the "strange" in (1) actually means
> "buggy", are we supposed to fix this?

I don't see any evidence yet that this needs to be fixed.  Without
such evidence, the whole discussion is about a moot point.  Maybe I
don't understand the issue well enough?